atk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Implemented by AtkObject subtypes on behalf of components which display image/pixmap information onscreen, and which provide information (other than just widget borders, etc.) via that image content.

should be implemented by subtypes on behalf of components which display image/pixmap information onscreen, and which provide information (other than just widget borders, etc.) via that image content. For instance, icons, buttons with icons, toolbar elements, and image viewing panes typically should implement AtkImage.

primarily provides two types of information: coordinate information (useful for screen review mode of screenreaders, and for use by onscreen magnifiers), and descriptive information. The descriptive information is provided for alternative, text-only presentation of the most significant information present in the image.

GLib.IWrapper
- Method
  System.Boolean `` Sets the textual description for this image. a description to set for image , or if operation could not be completed.
- Property
  System.String Get a textual description of this image. a string representing the image description
- Method
  System.Void `` `` `` Gets the position of the image in the form of a point specifying the images top-left corner. x coordinate position y coordinate position specifies whether the coordinates are relative to the screen or to the components top level window

  The values of and are returned as -1 if the values cannot be obtained.

- Method
  System.Void `` `` Get the width and height in pixels for the specified image. the image width the image height The values of and are returned as -1 if the values cannot be obtained.